import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
import java.io.*;
import javax.swing.JOptionPane;
import java.net.*;

//This is the JPanel that holds the view of the program

public class SudokuView extends JPanel
{

	//Numbers for adding to the panel, and game object to get the numbers that are created in the game.
	public Number numbers[][] = new Number[9][9];
	public SudokuGame1 game = new SudokuGame1();
	public SudokuView()
	{
		super();
		//numbers
		numbers = game.getNumbers();
		//set Layout to a grid layout
		setLayout(new GridLayout(9,9,1,1));
		//add numbers
		for (int i = 0; i < 9; i++)
			for (int j = 0; j < 9; j++)
				add(numbers[j][i]);
		//BGColor: white
		setBackground(Color.WHITE);
	}
	public void check()
	{
		boolean check = true;
		for (int i = 0; i < 9; i++)
		{
			for (int j = 0; j < 9; j++)
			{
				check = check && numbers[j][i].check();
			}
		}
		if (check)
			JOptionPane.showMessageDialog(null, "Your solution is correct.");
		else
			JOptionPane.showMessageDialog(null, "Your solution is not correct.");
	}
	public void newPuzzle()
	{
		removeAll();		
		game = new SudokuGame1();
		numbers = game.getNumbers();
		for (int i = 0; i < 9; i++)
			for (int j = 0; j < 9; j++)
				add(numbers[j][i]);
		revalidate();
	}
	public void solve()
	{
		for (int i = 0; i < 9; i++)
			for (int j = 0; j < 9; j++)
				numbers[j][i].showValue(true);
	}
	
}